"use client";

import SetupPage from "./SetupPage";
import Loading from "@/components/Loading";

import { useState, useEffect } from "react";
import { useRouter } from "next/navigation";
import axios from "axios";

export default function Setup() {
  const router = useRouter();
  const [loading, setLoading] = useState(true);

  useEffect(() => {
    const init = async () => {
      const response = await axios.get("/api/user/init");
      if (response.data.message !== "No users found") {
        router.push("/");
      } else {
        setLoading(false);
      }
    };
    init();
  }, []);

  if (loading) {
    return <Loading />;
  } else {
    return <SetupPage />;
  }
}